package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务故障关联对象 sim_task_fault
 *
 * @author tom
 * @date 2024-12-13
 */
public class TaskFault extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long relId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long taskId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String faultId;

    /**
     * 7:未知
     * 1:选中
     * 0:没有选中
     */
    @Excel(name = "")
    private String flag;

    public void setRelId(Long relId) {
        this.relId = relId;
    }

    public Long getRelId() {
        return relId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setFaultId(String faultId) {
        this.faultId = faultId;
    }

    public String getFaultId() {
        return faultId;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("relId", getRelId())
                .append("taskId", getTaskId())
                .append("faultId", getFaultId())
                .append("flag", getFlag())
                .append("updateTime", getUpdateTime())
                .toString();
    }

    // -------------------------------- tom add  --------------------------------
    public static final String UNKNOWN = "7";
    public static final String YES = "1";
    public static final String NO = "0";

    public TaskFault() {
    }

    public TaskFault(Long relId, Long taskId, String faultId, String flag) {
        this.relId = relId;
        this.taskId = taskId;
        this.faultId = faultId;
        this.flag = flag;
    }

    public TaskFault(Long taskId, String faultId, String flag) {
        this.taskId = taskId;
        this.faultId = faultId;
        this.flag = flag;
    }
}
